<? $this->layout()->disableLayout() ?>

<style type="text/css">
	table.details { }
	table.details tr.alter {  }
	table.details th { font-size: 13px; text-align: left; padding: 3px 12px 3px 6px; border-bottom:1px dotted #DDDDDD;}
	table.details td.mid {width:20px;border-bottom:0 }
	table.details td { font-size: 13px; text-align: left; padding-right: 6px; border-bottom:1px dotted #DDDDDD }
	table.details .green{color:#00AA00}
</style>

<div class="details mb10">
	<? if ($this->details): ?>
	<?
			$transaction = $this->details->transaction;
			$customer = $this->details->customer;
	 ?>
	<form class="form-common">
		<fieldset class="mt20 fleft" style="width: 380px">
			<legend>Payment</legend>

			<table class="details">
				<tbody>
					<tr>
						<th>Firstname</th>
						<td class="mid"></td>
						<td><?= $customer->firstname ?></td>
					</tr>
					<tr>
						<th>Lastname</th>
						<td  class="mid"></td>
						<td><?= $customer->lastname ?></td>
					</tr>
					<tr>
						<th>Company</th>
						<td  class="mid"></td>
						<td><?= $customer->company ?></td>
					</tr>
					<tr>
						<th>Country Code</th>
						<td  class="mid"></td>
						<td><?= $customer->countrycode ?></td>
					</tr>
					<tr>
						<th>Address</th>
						<td  class="mid"></td>
						<td><?= $customer->address ?></td>
					</tr>
					<tr>
						<th>Phone Number</th>
						<td  class="mid"></td>
						<td><?= $customer->phonenumber ?></td>
					</tr>
					<tr>
						<th>E-mail</th>
						<td  class="mid"></td>
						<td><?= $customer->email ?></td>
					</tr>
					<tr>
						<th>Zip Code</th>
						<td  class="mid"></td>
						<td><?=$customer->zipcode ?></td>
					</tr>
					<tr>
						<th>IP Address</th>
						<td  class="mid"></td>
						<td><?= $customer->ip_address ?></td>
					</tr>
					<!--<tr class="alter">
						<th>Transfer Date</th>
						<td><?= date('d M Y', $this->transfer->date_transfered) . ' at ' . date('H:i:s', $this->transfer->date_transfered) ?></td>
					</tr>-->
					<tr>
						<th>Card Type</th>
						<td  class="mid"></td>
						<td><?= $this->details->card_type ?></td>
					</tr>
					<tr>
						<th>Card Number Masked</th>
						<td  class="mid"></td>
						<td><?= $this->details->cardnumber_masked ?></td>
					</tr>
					<tr>
						<th>Card Expiration Date</th>
						<td  class="mid"></td>
						<td><?= $this->details->card_expirydate ?></td>
					</tr>
					<tr>
						<th>Reference</th>
						<td  class="mid"></td>
						<td><?= $this->details->ref ?></td>
					</tr>
					<tr>
						<th>Theed Secure</th>
						<td  class="mid"></td>
						<td><?= $this->details->threed_secure ?></td>
					</tr>
					<tr>
						<th>Is Test</th>
						<td  class="mid"></td>
						<td><?= $this->details->is_test ? 'Yes' : 'No' ?></td>
					</tr>
					<tr>
						<th>Status</th>
						<td  class="mid"></td>
						<td <?= in_array($this->details->status, Cubix_CGP_Callback::$success_statuses) ? 'class="green"' : 'class="red"'?> ><strong><?= $this->details->status ?></strong></td>
					</tr>
					<tr>
						<th>Amount</th>
						<td  class="mid"></td>
						<td><strong><?= $this->details->amount /100 ?> <?= is_object($this->details->currency) ? reset($this->details->currency) : $this->details->currency   ?></strong></td>
					</tr>
				</tbody>
			</table>
		</fieldset>
		<fieldset class="mt20 fleft" style="width: 200px">
			<legend>Transaction</legend>

			<table class="details">
				<tbody>
					<tr>
						<th>ID</th>
						<td  class="mid"></td>
						<td><?= $transaction->id ?></td>
					</tr>
					<tr>
						<th>Fee</th>
						<td  class="mid"></td>
						<td><?= $transaction->fee ?></td>
					</tr>
					<tr>
						<th>Fee Bank</th>
						<td  class="mid"></td>
						<td><?= $transaction->fee_bank ?></td>
					</tr>
					<tr>
						<th>Fee CGP</th>
						<td  class="mid"></td>
						<td><?= $transaction->fee_cgp ?></td>
					</tr>
				</tbody>
			</table>
		</fieldset>

	</form>
	<? endif; ?>
	<div class="clear"></div>
</div>

